Incompatible Rated 1 out of 5 stars

Looks and sounds like a great Add-On -- it doesn't work with Firefox 3.6.